<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number81</title>
</head>

<body>
	<h2> JavaScript Excercise </h2>
	
	<p> <b> No.81:</b> Write a JavaScript program to add two digits of a given positive integer of length two. </p>
	
	<p> <b> Solution :</b></p>
	<div style="border: 1px dashed black; padding: 20px; width: 425px; height: auto;">
		<input type="number" id="num1" placeholder="Choose Number To Split it And Add Together!" style="width: 280px; margin-top: 5px;"><br>
	  <input type="button" onClick="generate()" name="gen" value="Generate!" style="margin-top: 5px;">
	  <pre id="demo"></pre>
	</div>
	
	<script>
	  function generate() {
		  var num = + document.getElementById('num1').value;
		  var arr = [];
		  var snum = num.toString();
		  var sum = 0 ;
		  if (num>=10) {
			  for (var i=0 , len=snum.length; i<len; sum += arr[i++]) {
				  arr.push(+snum.charAt(i));

			  }
			  	 document.getElementById('demo').innerHTML=
				  "The Number You Choose is: <br>" + (num/10)*10 + "<br>" +
				  "And the sum of its numbers is: <br>" + sum ;
			   
		  } else {
			  document.getElementById('demo').innerHTML=
				  "Number must be over 10 to add its numbers together" ;
		  }
	  }
	</script>
</body>
</html>
